package Trickster::Config;
# $Id: Config.pm,v 1.1.1.1 2002/09/23 11:40:25 miyagawa Exp $

use strict;
use Data::Properties;
use FileHandle;

sub new {
    my($class, $file) = @_;
    my $handle = FileHandle->new($file) or die "$file: $!";
    my $props = Data::Properties->new;
    $props->load($handle);
    bless { props => $props }, $class;
}

sub get {
    my($self, $key) = @_;
    return $self->{props}->get_property($key);
}

1;
__END__

=head1 NAME

Trickster::Config - Trickster configuration handler

=head1 SYNOPSIS

  use Trickster::Config;

  $config = Trickster::Config->new($file);
  $value = $config->get($key);

=head1 DESCRIPTION

Trickster::Config is a trickster configuration handler, which is a
simple wrapper around Data::Prooperties.

=head1 AUTHOR

Tatsuhiko Miyagawa E<lt>miyagawa@bulknews.netE<gt>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=head1 SEE ALSO

L<Data::Properties>

=cut
