package Trickster::DiskJockey::Random;
# $Id: Random.pm,v 1.3 2002/09/24 06:14:44 miyagawa Exp $

use strict;
use base qw(Trickster::DiskJockey);

sub init {
    my $self = shift;
}

sub select_next {
    my($self, $container) = @_;
    return $container->next_id;
}

1;
__END__

=head1 NAME

Trickster::DiskJockey::Random - random song chooser

=head1 SYNOPSIS

  # trickster.conf
  dj.class = Random

  $dj = Trickster::DislJockey->new($config);
  $file = $dj->choose_next;

=head1 DESCRIPTION

This module is an implementation of Trickster::DiskJockey, which
selects next song randomly from C<files.root> direrctory.

=head1 AUTHOR

Tatsuhiko Miyagawa E<lt>miyagawa@bulknews.netE<gt>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=head1 SEE ALSO

L<Trickster::DiskJockey>

=cut

