package Trickster::FileContainer;

use strict;

sub new {
    my $class = shift;
    bless { files => {} }, $class;
}

sub clear_all {
    my $self = shift;
    $self->{files} = {};
}

sub add_file {
    my($self, $file) = @_;
    $self->{files}->{$file->id} = $file;
}

sub get_file {
    my($self, $id) = @_;
    return $self->{files}->{$id};
}

sub next_id {
    my $self = shift;
    my @keys = keys %{$self->{files}};
    return $keys[int(rand(@keys))];
}

1;
