package Trickster::Plugin;
# $Id: Plugin.pm,v 1.1 2002/09/24 06:14:44 miyagawa Exp $

use strict;
use POE;

sub new {
    my($class, $config) = @_;
    my $self = bless { config => $config }, $class;
    return $self;
}

sub _start {
    my($self, $kernel, $sender) = @_[OBJECT, KERNEL, SENDER];
    $self->real_start(@_[ 1.. (ARG0-1) ]);
    $kernel->post($sender->ID => 'register_plugin');
}

sub _stop {
    my($self, $kernel, $sender) = @_[OBJECT, KERNEL, SENDER];
    $kernel->post($sender->ID => 'unregister_plugin');
}

sub _default {
    my($self, $kernel, $state, $args) = @_[OBJECT, KERNEL, ARG0, ARG1];
    my @new_args = @_[ 1.. (ARG0-1) ];
    push @new_args, @$args;
    $self->$state(@new_args) if $self->can($state);
    return;
}

1;
